# CreateNote

> Add a note to a partner, campaign, discount or order. Write access, workspace toolset, MCP tool create_note. Part of the MISSIN public API: call it with an…

**Access:** [Write](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `input` | `CreateNoteInput!` | yes | Input object, below |  |

## Input types

### CreateNoteInput

| Field | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `body` | `JSON!` | yes | Object, fields below |  |

#### `CreateNoteInput.body`

| Field | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `body` | string | yes |  |  |
| `title` | string,null | no |  |  |
| `campaign_id` | string (uuid) or null | no |  |  |
| `partner_id` | string (uuid) or null | no |  |  |
| `discount_code_id` | string (uuid) or null | no |  |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"CreateNote","variables":{"input":{"body":{"body":"…"}}},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"a416c08312f723f2b12b3432168b70a6bf71188c84325b3311ab6b09b15d0cff"}}}'
```

## Document

```graphql
mutation CreateNote($input: CreateNoteInput!) { __typename createNote(input: $input) { __typename id userErrors { __typename code field message } } }
```

Source: https://developer.missin.co.uk/reference/workspace/create-note
